Bug 185275

Summary: [maintainer update] port www/polipo
Product: Ports & Packages Reporter: Frank Behrens <frank>
Component: Individual Port(s)Assignee: Bartek Rutkowski <robak>
Status: Closed FIXED    
Severity: Affects Only Me CC: robak
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
polipo-1.0.4.1-port.patch
none
polipo-1.0.4.1-port.patch
none
polipo.diff none

Description Frank Behrens 2013-12-29 19:50:00 UTC
minor maintainer update of port www/polipo (no version change required)
1. support staging
2. support LICENSE framework
3. minor cleanup
Comment 1 Raphael Kubo da Costa freebsd_committer 2013-12-29 21:52:48 UTC
Hi,

The port failed on Poudriere with the following error:

=======================<phase: stage          >============================
===>  Staging for polipo-1.0.4.1
=> Added group "polipo".
=> Added user "polipo".
===>   Generating temporary packing list
install  -s -o root -g wheel -m 555 /wrkdirs/usr/ports/www/polipo/work/polipo-1.0.4.1/polipo /wrkdirs/usr/ports/www/polipo/work/stage/prefix/polipo-1.0.4.1/bin/
/bin/mkdir -p /wrkdirs/usr/ports/www/polipo/work/stage/prefix/polipo-1.0.4.1/etc/periodic/daily/
install  -o root -g wheel -m 555 /wrkdirs/usr/ports/www/polipo/work/400.polipo /wrkdirs/usr/ports/www/polipo/work/stage/prefix/polipo-1.0.4.1/etc/periodic/daily/
install  -o root -g wheel -m 444 /wrkdirs/usr/ports/www/polipo/work/polipo-1.0.4.1/polipo.man /wrkdirs/usr/ports/www/polipo/work/stage/prefix/polipo-1.0.4.1/man/man1/polipo.1
/bin/mkdir -p /wrkdirs/usr/ports/www/polipo/work/stage/prefix/polipo-1.0.4.1/etc/polipo/
install  -o root -g wheel -m 444 /wrkdirs/usr/ports/www/polipo/work/polipo-1.0.4.1/config.sample /wrkdirs/usr/ports/www/polipo/work/stage/prefix/polipo-1.0.4.1/etc/polipo/
install  -o root -g wheel -m 444 /wrkdirs/usr/ports/www/polipo/work/polipo-1.0.4.1/forbidden.sample /wrkdirs/usr/ports/www/polipo/work/stage/prefix/polipo-1.0.4.1/etc/polipo/
install  -o root -g wheel -m 444 /wrkdirs/usr/ports/www/polipo/work/polipo-1.0.4.1/polipo.info /wrkdirs/usr/ports/www/polipo/work/stage/prefix/polipo-1.0.4.1/info/
/bin/mkdir -p /wrkdirs/usr/ports/www/polipo/work/stage/prefix/polipo-1.0.4.1/share/polipo/www/doc
install  -o root -g wheel -m 444 /wrkdirs/usr/ports/www/polipo/work/polipo-1.0.4.1/html/* /wrkdirs/usr/ports/www/polipo/work/stage/prefix/polipo-1.0.4.1/share/polipo/www/doc
install  -o root -g wheel -m 444 /wrkdirs/usr/ports/www/polipo/work/polipo-1.0.4.1/localindex.html /wrkdirs/usr/ports/www/polipo/work/stage/prefix/polipo-1.0.4.1/share/polipo/www/index.html
====> Compressing man pages (compress-man)
===> Staging rc.d startup script(s)
====> Running Q/A tests (stage-qa)
===========================================================================
====>> Checking for staging violations... done
====>> Error: Filesystem touched during stage (files must install to ${STAGEDIR}):
extra: var/mail/polipo
extra: var/log/userlog
etc/passwd: 
        size (1533, 1594)
etc/master.passwd: 
        size (1652, 1718)
etc/group: 
        size (447, 461)
====>> Error: Build failed in phase: stage_fs_violation
Comment 2 Frank Behrens 2013-12-30 16:04:16 UTC
Am 29.12.2013 22:52, schrieb Raphael Kubo da Costa:
> Hi,
>
> The port failed on Poudriere with the following error:
 > ...

Thanks for your message. I believe I forgot to remove the pre-install 
target from the Makefile. Please try with the new attached patch.

Regards,
    Frank
Comment 3 Raphael Kubo da Costa freebsd_committer 2014-01-01 23:27:18 UTC
Frank Behrens <frank@pinky.sax.de> writes:

> Am 29.12.2013 22:52, schrieb Raphael Kubo da Costa:
>> Hi,
>>
>> The port failed on Poudriere with the following error:
>> ...
>
> Thanks for your message. I believe I forgot to remove the pre-install
> target from the Makefile. Please try with the new attached patch.

Hi,

It fails like this now:

====>> Checking for extra files and directories
====>> Files or directories left over:
@dirrm /var/cache
====>> Files or directories removed:
info
====>> Files or directories modified:
/etc/newsyslog.conf
====>> This test was done with PREFIX!=LOCALBASE which may show failures
       if the port does not respect PREFIX. Try testport with -n to use
       PREFIX=LOCALBASE

(Running testport with -n gets rid of the "info" part, but the rest
remains)
Comment 4 Stefan E├čer freebsd_committer 2014-05-24 10:10:12 UTC
The attached patch fixes the last problem reported by "poudriere
testport": Instead of directly editing /etc/newsyslog.conf, the
user is reminded to edit that file (or add one to newsyslog.d).

Regards, STefan
Comment 5 Bartek Rutkowski freebsd_committer 2014-06-28 07:57:59 UTC
I'll take it.
Comment 6 commit-hook freebsd_committer 2014-07-12 18:35:46 UTC
A commit references this bug:

Author: robak
Date: Sat Jul 12 18:35:36 UTC 2014
New revision: 361633
URL: http://svnweb.freebsd.org/changeset/ports/361633

Log:
  www/polipo: stage and various fixes

  - Add stage support
  - Add LICENSE
  - Fix man pages handling
  - Fix cache dir handling

  PR:		185275
  Submitted by:	Frank Behrens <frank@pinky.sax.de>
  Reviewed by:	marino (mentor)
  Approved by:	swills (mentor), blanker (portmgr)

Changes:
  head/www/polipo/Makefile
  head/www/polipo/files/pkg-install.in
  head/www/polipo/pkg-plist
Comment 7 Bartek Rutkowski freebsd_committer 2014-07-12 18:39:57 UTC
Committed, thanks for the PR!